Index: NEMO/branches/2019/UKMO_MERGE_2019/src/OCE/ISF/isfcavgam.F90
===================================================================
--- NEMO/branches/2019/UKMO_MERGE_2019/src/OCE/ISF/isfcavgam.F90	(revision 12068)
+++ NEMO/branches/2019/UKMO_MERGE_2019/src/OCE/ISF/isfcavgam.F90	(revision 12077)
@@ -10,5 +10,5 @@
    !!   isfcav_gammats       : compute exchange coeficient gamma 
    !!----------------------------------------------------------------------
-   USE isf
+   USE isf_oce
    USE isfutils, ONLY: debug
    USE isftbl  , ONLY: isf_tbl
@@ -46,5 +46,5 @@
       !!
       !! ** Method     : select the gamma formulation
-      !!                 3 method available (cst, AD15 and HJ99)
+      !!                 3 method available (cst, vel and vel_stab)
       !!---------------------------------------------------------------------
       !!-------------------------- OUT -------------------------------------
@@ -66,5 +66,5 @@
          ! gamma is constant (specified in namelist)
          ! nothing to do
-      CASE ('ad15', 'hj99')
+      CASE ('vel', 'vel_stab')
          ! compute velocity in tbl
          CALL isf_tbl(Kmm, uu(:,:,:,Kmm) ,zutbl(:,:),'U', miku, rhisf_tbl_cav)
@@ -90,8 +90,8 @@
          pgt(:,:) = rn_gammat0
          pgs(:,:) = rn_gammas0
-      CASE ( 'ad15' ) ! gamma is proportional to u*
-         CALL gammats_AD15 (                   zutbl, zvtbl, rCd0_top, r_ke0_top,               pgt, pgs )
-      CASE ( 'hj99' ) ! gamma depends of stability of boundary layer and u*
-         CALL gammats_HJ99 (Kmm, pttbl, pstbl, zutbl, zvtbl, rCd0_top, r_ke0_top, pqoce, pqfwf, pgt, pgs )
+      CASE ( 'vel' ) ! gamma is proportional to u*
+         CALL gammats_vel      (                   zutbl, zvtbl, rCd0_top, r_ke0_top,               pgt, pgs )
+      CASE ( 'vel_stab' ) ! gamma depends of stability of boundary layer and u*
+         CALL gammats_vel_stab (Kmm, pttbl, pstbl, zutbl, zvtbl, rCd0_top, r_ke0_top, pqoce, pqfwf, pgt, pgs )
       CASE DEFAULT
          CALL ctl_stop('STOP','method to compute gamma (cn_gammablk) is unknown (should not see this)')
@@ -116,5 +116,5 @@
    !!-----------------------------------------------------------------------------------------------------
    !
-   SUBROUTINE gammats_AD15(putbl, pvtbl, pCd, pke2, &   ! <<== in
+   SUBROUTINE gammats_vel( putbl, pvtbl, pCd, pke2, &   ! <<== in
       &                                  pgt, pgs   )   ! ==>> out gammats [m/s]
       !!----------------------------------------------------------------------
@@ -123,6 +123,5 @@
       !! ** Method     : gamma is velocity dependent ( gt= gt0 * Ustar )
       !!
-      !! ** Reference  : Jenkins et al., 2010, JPO, p2298-2312
-      !!                 Asay-Davis et al., Geosci. Model Dev., 9, 2471-2497, 2016
+      !! ** Reference  : Asay-Davis et al., Geosci. Model Dev., 9, 2471-2497, 2016
       !!---------------------------------------------------------------------
       !!-------------------------- OUT -------------------------------------
@@ -146,8 +145,8 @@
       CALL iom_put('isfustar',zustar(:,:))
       !
-   END SUBROUTINE gammats_AD15
-
-   SUBROUTINE gammats_HJ99( Kmm, pttbl, pstbl, putbl, pvtbl, pCd, pke2, pqoce, pqfwf, &  ! <<== in
-      &                                                                 pgt  , pgs    )  ! ==>> out gammats [m/s]
+   END SUBROUTINE gammats_vel
+
+   SUBROUTINE gammats_vel_stab( Kmm, pttbl, pstbl, putbl, pvtbl, pCd, pke2, pqoce, pqfwf, &  ! <<== in
+      &                                                                     pgt  , pgs    )  ! ==>> out gammats [m/s]
       !!----------------------------------------------------------------------
       !! ** Purpose    : compute the coefficient echange coefficient 
@@ -186,5 +185,5 @@
       !
       ! compute ustar
-      zustar(:,:) = SQRT( pCd * ( putbl(:,:) * putbl(:,:) + pvtbl(:,:) * pvtbl(:,:) + r_ke0_top ) )
+      zustar(:,:) = SQRT( pCd * ( putbl(:,:) * putbl(:,:) + pvtbl(:,:) * pvtbl(:,:) + pke2 ) )
       !
       ! output ustar
@@ -254,5 +253,5 @@
       END DO
 
-   END SUBROUTINE gammats_HJ99
+   END SUBROUTINE gammats_vel_stab
 
 END MODULE isfcavgam
